<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [CorpProductData](./bitburner.corpproductdata.md) &gt; [ratingWeights](./bitburner.corpproductdata.ratingweights.md)

## CorpProductData.ratingWeights property

Weighting factors for product

**Signature:**

```typescript
ratingWeights: {
    aesthetics?: number;
    durability?: number;
    features?: number;
    quality?: number;
    performance?: number;
    reliability?: number;
  };
```
